# 创建任务-black-forest-labs/flux-dev

**方法**: `POST`
**路径**: `/replicate/v1/models/{models}/predictions`

<https://replicate.com/black-forest-labs/flux-dev>

## 请求参数

### Path 参数

```text
models
string
必需
```

### Header 参数

```text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 application/json

```text
input
object
必需
prompt
string
必需
go_fast
boolean
可选
megapixels
string
可选
num_outputs
integer
可选
aspect_ratio
string
默认1:1
可选
output_format
string
可选
output_quality
integer
可选
num_inference_steps
integer
可选
示例
{
"input"
:
{
"prompt"
:
"black forest gateau cake spelling out the words \"FLUX DEV\", tasty, food photography, dynamic shot"
,
"go_fast"
:
true
,
"guidance"
:
3.5
,
"megapixels"
:
"1"
,
"num_outputs"
:
1
,
"aspect_ratio"
:
"1:1"
,
"output_format"
:
"webp"
,
"output_quality"
:
80
,
"prompt_strength"
:
0.8
,
"num_inference_steps"
:
28
}
}
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/replicate/v1/models//predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "prompt": "black forest gateau cake spelling out the words \"FLUX DEV\", tasty, food photography, dynamic shot",
      "go_fast": true,
      "guidance": 3.5,
      "megapixels": "1",
      "num_outputs": 1,
      "aspect_ratio": "1:1",
      "output_format": "webp",
      "output_quality": 80,
      "prompt_strength": 0.8,
      "num_inference_steps": 28
    }
  }'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{}
```
